/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct LicenseRenewalLink {
    /// License renewal link
    #[serde(rename = "renewal_link", skip_serializing_if = "Option::is_none")]
    pub renewal_link: Option<String>,
}

impl LicenseRenewalLink {
    pub fn new() -> LicenseRenewalLink {
        LicenseRenewalLink { renewal_link: None }
    }
}
